# OpenShaderDesigner: DirectedGraph< T > Class Template Reference

Loading...
Searching...
No Matches
DirectedGraph< T > Class Template Reference

## Classes

class | BreadthFirst
class | InOrder
class | PostOrder
class | PreOrder
class | Traverser

## Public Types

using | DataType = T
using | Node = uint32_t
using | NodeQueue = std::deque<Node>

## Public Member Functions

Node | Parent (Node node) const
Node | FirstChild (Node node) const
Node | NextSibling (Node node) const
Node | LeftMost (Node node) const
uint32_t | Depth (Node node) const
Node | Insert (const DataType &data, Node parent)
void | Erase (Node node)
DataType & | operator[] (Node node)
const DataType & | operator[] (Node node) const
template<typename V , typename O >
void | Traverse (V &visitor)

## Friends

class | BreadthFirst
class | PreOrder
class | InOrder
class | PostOrder

The documentation for this class was generated from the following file:

- Include/Utility/DirectedGraph.h